/* Generic C includes */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "cf_printf.h"

/* structures, protos and errors of the lib */
#include "libp3d.h"

/* GDHE client structures and fct prototypes */
#include "GDHE.h"

/**************************************************************
 *
 * Open a connection with a running ghde on the machine 'serverName'. 
 *
 **************************************************************/

ErrorCode
p3d_gdheGetConnection (char*	serverName)

{
  int	result;


  result = get_connection (serverName);
  if (result != TRUE)
    return error (ERR_P3D_GDHE_OPEN_CONNECTION);
  
  return (CF_OK);
}



/**************************************************************
 *
 * Close a connection 
 *
 **************************************************************/

ErrorCode 
p3d_gdheDisconnect ( )

{
  int	result;

  result = disconnect ();
  if (result != TRUE)
    return error (ERR_P3D_GDHE_CLOSE_CONNECTION);

  return (CF_OK);
}



/**************************************************************
 *
 * Sends a TCL expression to be evaluated by a running gdhe
 *
 **************************************************************/

ErrorCode
p3d_gdheEvalExpression (char*	expression)

{
  int	result;
  
  result = eval_expression (expression);
  if (result != TRUE)
    return error (ERR_P3D_GDHE_EVAL_EXPRESSION);

  return (CF_OK);
}
