#ifndef P3D_FULL_IMPL_H
#define P3D_FULL_IMPL_H

const P3DArc* p3dElectBestArc(const P3DArc *arcs, int n);
int  p3dArcComputeCostLimited(P3DPlanner *planner, P3D_MAP *map, P3DArc *arcs, int n, 
		double x, double y, double theta, double goalTol, double min, double max);

double fPonderation(double current_cost, double previous_cost, double next_cost);
void  p3dArcPonderateCost(P3DArc * arcs, int n);

static inline double p3dFullComputeScore(const P3DArc *a)
{
	return a->nodes[a->current].remain + a->cost_balanced;
}

static inline int 
p3dArcComputeCost(P3DPlanner *planner, P3D_MAP *map, P3DArc *arcs, int n, 
		double x, double y, double theta, double goalTol)
{
	return p3dArcComputeCostLimited(planner, map, arcs, n, x, y, theta, goalTol,
			arcs->r - 0.1, - arcs->r + 0.1);
}

#endif /* P3D_FULL_IMPL_H */
